WinShopAPI docs
ReferenceDocumentsOrdersSupplier

Get a supplier order

Returns one supplier order by `documentId`, with its header, items and item variants. Requires `Permissions.OrderSupplier.View`.

GET
/api/documents/orders/supplier/{documentId}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

documentId*integer
Formatint32

Response Body

application/json
  1. response
id?|

Row id of the document. Read-only; the server assigns it.

Formatint32
internalNumber?|

Internal document number, unique within the document type and reserved when the document is created. Read-only.

Formatint32
items?array<>|

The document's items. Null when the document was loaded without them.

branchId?|
Formatint32
createdAt?|
Formatdate-time
customDocumentStateId?|
Formatint32
customDocumentStateUserId?|
Formatint32
dateOfOrder?|
Formatdate-time
dateOfTransfer?|
Formatdate-time
deliveryDate?|
Formatdate-time
documentState?|
Formatint32
driverId?|
Formatint32
formNumber?|
Lengthlength <= 150
isApproved?boolean|null
isCancellation?boolean|null
isConfirmed?boolean|null
isCovered?boolean|null
isEdiImported?boolean|null
isExported?boolean|null
isImported?boolean|null
isLocked?boolean|null
isPrinted?boolean|null
isProcessed?boolean|null
lastModify?|
Formatdate-time
lockOwner?|
Lengthlength <= 80
note?string|null
sectorId?|
Formatint32
timeSpent?|
Formatint32
totalNumberOfItems?|
Formatint32
totalNumberOfPieces?|
Formatdecimal
totalPrice?|
Formatdecimal
totalPriceWoVat?|
Formatdecimal
totalStockPriceWoVat?|
Formatdecimal
transportTypeId?|
Formatint32
userId?|
Formatint32
customerBranchId?|
Formatint32
customerId?|
Formatint32
destinationWarehouseId?|
Formatint32
isRemitenda?boolean|null
numberOfPallets?|
Formatint32
packageNumbers?string|null
paymentTypeId?|
Formatint32
seasonId?|
Formatint32
supplierId?|
Formatint32
totalForeignPrice?|
Formatdecimal
totalPurchasePrice?|
Formatdecimal
totalPurchasePriceWoVat?|
Formatdecimal
warehouseId?|
Formatint32
curl -X GET 'https://<your-instance>/api/documents/orders/supplier/0' \  -H 'Authorization: Bearer <access-token>'
{  "id": 0,  "internalNumber": 0,  "items": [    {      "id": 0,      "internalNumber": 0,      "item": 0,      "productId": 0,      "variants": [        {          "colorId": 0,          "dimensionId": 0,          "id": 0,          "itemId": 0,          "lengthId": 0,          "quantity": 0,          "sizeId": 0,          "price": 0,          "priceWoVat": 0,          "quantityBeingCovered": 0,          "quantityCovered": 0,          "quantityWeighed": 0        }      ],      "barcode": "string",      "batchId": 0,      "batchTextRawMaterial": "string",      "createdAt": "2019-08-24T14:15:22Z",      "ediQuantity": 0,      "expirationDate": "2019-08-24T14:15:22Z",      "foreignCurrencyId": 0,      "foreignExchangeRate": 0,      "isCancellation": true,      "isPartialCancellation": true,      "lastModify": "2019-08-24T14:15:22Z",      "note": "string",      "packagePrice": 0,      "price": 0,      "priceWoVat": 0,      "quantity": 0,      "quantityBeingCovered": 0,      "quantityCoefficient": 0,      "quantityCovered": 0,      "quantityWeighed": 0,      "recyclingFee": 0,      "recyclingFeeId": 0,      "royalty": 0,      "royaltyId": 0,      "setPrice": 0,      "stockPrice": 0,      "unitId": 0,      "userId": 0,      "variantId": 0,      "vatRate": 0,      "countryOfOrigin": 0,      "dateOfExchangeRate": "2019-08-24T14:15:22Z",      "expirations": [        {          "expirationDate": "2019-08-24T14:15:22Z",          "id": 0,          "itemId": 0,          "quantityWeighed": 0,          "ssccText": "string"        }      ],      "foreignPurchasePriceWoVat": 0,      "purchasePriceWoVat": 0,      "purchasePriceWoVatReceived": 0,      "quantityReceived": 0,      "stockIntakeItemId": 0,      "supplierProductCode": "string",      "unitIdReceived": 0    }  ],  "branchId": 0,  "createdAt": "2019-08-24T14:15:22Z",  "customDocumentStateId": 0,  "customDocumentStateUserId": 0,  "dateOfOrder": "2019-08-24T14:15:22Z",  "dateOfTransfer": "2019-08-24T14:15:22Z",  "deliveryDate": "2019-08-24T14:15:22Z",  "documentState": 0,  "driverId": 0,  "formNumber": "string",  "isApproved": true,  "isCancellation": true,  "isConfirmed": true,  "isCovered": true,  "isEdiImported": true,  "isExported": true,  "isImported": true,  "isLocked": true,  "isPrinted": true,  "isProcessed": true,  "lastModify": "2019-08-24T14:15:22Z",  "lockOwner": "string",  "note": "string",  "sectorId": 0,  "timeSpent": 0,  "totalNumberOfItems": 0,  "totalNumberOfPieces": 0,  "totalPrice": 0,  "totalPriceWoVat": 0,  "totalStockPriceWoVat": 0,  "transportTypeId": 0,  "userId": 0,  "customerBranchId": 0,  "customerId": 0,  "destinationWarehouseId": 0,  "isRemitenda": true,  "numberOfPallets": 0,  "packageNumbers": "string",  "paymentTypeId": 0,  "seasonId": 0,  "supplierId": 0,  "totalForeignPrice": 0,  "totalPurchasePrice": 0,  "totalPurchasePriceWoVat": 0,  "warehouseId": 0}